package com.mosty.qwzx.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface QwzxStatisticsMapper {

    @ApiOperation("查询辅警数量")
    int getQbfjCount(Map<String, Object> map);

    @ApiOperation("查询辅警列表")
    List<Map<String, Object>> getQbfjList(Map<String, Object> map);

    @ApiOperation("查询全部列表")
    List<Map<String, Object>> qblb(Map<String, Object> map);

    @ApiOperation("查询全部列表计数")
    int getQblbCount(Map<String, Object> map);

    @ApiOperation("全部在岗统计")
    List<Map<String, Object>> qbzgtj(Map<String, Object> map);

    @ApiOperation("全部在岗统计计数")
    int getQbzgtjCount(Map<String, Object> map);

    @ApiOperation("在岗辅警数量")
    int getZgfjCount(Map<String, Object> map);

    @ApiOperation("在岗辅警列表")
    List<Map<String, Object>> getZgfjList(Map<String, Object> map);

    @ApiOperation("在岗列表")
    List<Map<String, Object>> zglb(Map<String, Object> map);

    @ApiOperation("在岗列表统计")
    int getZglbCount(Map<String, Object> map);

    @ApiOperation("辅警列表")
    List<Map<String, Object>> fjlb(Map<String, Object> map);

    @ApiOperation("辅警列表计数")
    int getFjlbCount(Map<String, Object> map);

    @ApiOperation("民警列表")
    List<Map<String, Object>> mjlb(Map<String, Object> map);

    @ApiOperation("民警列表计数")
    int getMjlbCount(Map<String, Object> map);

    @ApiOperation("全部民警和辅警数量")
    int getQbCount(Map<String, Object> map);

    @ApiOperation("全部民警和辅警列表")
    List<Map<String, Object>> qbList(Map<String, Object> map);

    @ApiOperation("在岗民警辅警数量")
    int getZgCount(Map<String, Object> map);

    @ApiOperation("在岗民警辅警列表")
    List<Map<String, Object>> zgList(Map<String, Object> map);

    @ApiOperation("可抽调辅警列表")
    List<Map<String, Object>> kcdFjlb(Map<String, Object> map);

    @ApiOperation("可抽调辅警列表计数")
    int getKcdFjlbCount(Map<String, Object> map);

    @ApiOperation("可抽调民警辅警数量")
    List<Map<String,Object>> getZbtjCount(Map<String, Object> map);

    @ApiOperation("可抽调民警列表")
    List<Map<String, Object>> kcdMjList(Map<String, Object> map);

    @ApiOperation("民警辅警整合列表")
    List<Map<String, Object>> mjfjzh(Map<String, Object> map);

    @ApiOperation("全部列表")
    List<Map<String, Object>> mjQblb(Map<String, Object> map);

    @ApiOperation("全部民警")
    Integer getQbmjCount(Map<String, Object> map);

    @ApiOperation("全部民警列表")
    List<Map<String, Object>> qbmjList(Map<String, Object> map);

    @ApiOperation("全部在岗统计")
    int getQbzgCount(Map<String, Object> map);

    @ApiOperation("民警-在岗列表")
    List<Map<String, Object>> mjZglb(Map<String, Object> map);

    @ApiOperation("民警-在岗列表")
    int getmMjzglbCount(Map<String, Object> map);

    @ApiOperation("在岗民警")
    int getZgmj(Map<String, Object> map);

    @ApiOperation("在岗民警辅警整合")
    List<Map<String, Object>> zgmjfjzh(Map<String, Object> map);

    @ApiOperation("在岗民警列表")
    List<Map<String, Object>> zgmjList(Map<String, Object> map);

    @ApiOperation("请休假-辅警列表")
    List<Map<String, Object>> qxFjlb(Map<String, Object> map);

    @ApiOperation("请休假-民警辅警统计")
    List<Map<String,Object>> mjfjtj(Map<String, Object> map);

    @ApiOperation("警力情况-请休假-民警列表")
    List<Map<String, Object>> qxjMjlb(Map<String, Object> map);

    @ApiOperation("可抽调民警列表")
    int kcdMjCount(Map<String, Object> map);

    @ApiOperation("民警数量")
    int mjQblbCount(Map<String, Object> map);

    @ApiOperation("民警辅警整合count")
    int mjfjzhCount(Map<String, Object> map);

    @ApiOperation("请休假-民警列表")
    int qxjMjlbCount(Map<String, Object> map);

    @ApiOperation("请休假-辅警列表")
    int qxFjlbCount(Map<String, Object> map);
}
